Photo (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.photo

## Class Photo

- java.lang.Object
- - org.opencv.photo.Photo

-     public class Photo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `INPAINT_NS`
    `static int` | `INPAINT_TELEA`
    `static int` | `LDR_SIZE`
    `static int` | `MIXED_CLONE`
    `static int` | `MONOCHROME_TRANSFER`
    `static int` | `NORMAL_CLONE`
    `static int` | `NORMCONV_FILTER`
    `static int` | `RECURS_FILTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Photo()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `colorChange(Mat src, Mat mask, Mat dst)`
    `static void` | `colorChange(Mat src, Mat mask, Mat dst, float red_mul, float green_mul, float blue_mul)`
    `static AlignMTB` | `createAlignMTB()`
    `static AlignMTB` | `createAlignMTB(int max_bits, int exclude_range, boolean cut)`
    `static CalibrateDebevec` | `createCalibrateDebevec()`
    `static CalibrateDebevec` | `createCalibrateDebevec(int samples, float lambda, boolean random)`
    `static CalibrateRobertson` | `createCalibrateRobertson()`
    `static CalibrateRobertson` | `createCalibrateRobertson(int max_iter, float threshold)`
    `static MergeDebevec` | `createMergeDebevec()`
    `static MergeMertens` | `createMergeMertens()`
    `static MergeMertens` | `createMergeMertens(float contrast_weight, float saturation_weight, float exposure_weight)`
    `static MergeRobertson` | `createMergeRobertson()`
    `static Tonemap` | `createTonemap()`
    `static Tonemap` | `createTonemap(float gamma)`
    `static TonemapDrago` | `createTonemapDrago()`
    `static TonemapDrago` | `createTonemapDrago(float gamma, float saturation, float bias)`
    `static TonemapDurand` | `createTonemapDurand()`
    `static TonemapDurand` | `createTonemapDurand(float gamma, float contrast, float saturation, float sigma_space, float sigma_color)`
    `static TonemapMantiuk` | `createTonemapMantiuk()`
    `static TonemapMantiuk` | `createTonemapMantiuk(float gamma, float scale, float saturation)`
    `static TonemapReinhard` | `createTonemapReinhard()`
    `static TonemapReinhard` | `createTonemapReinhard(float gamma, float intensity, float light_adapt, float color_adapt)`
    `static void` | `decolor(Mat src, Mat grayscale, Mat color_boost)`
    `static void` | `denoise_TVL1(java.util.List<Mat> observations, Mat result)`
    `static void` | `denoise_TVL1(java.util.List<Mat> observations, Mat result, double lambda, int niters)`
    `static void` | `detailEnhance(Mat src, Mat dst)`
    `static void` | `detailEnhance(Mat src, Mat dst, float sigma_s, float sigma_r)`
    `static void` | `edgePreservingFilter(Mat src, Mat dst)`
    `static void` | `edgePreservingFilter(Mat src, Mat dst, int flags, float sigma_s, float sigma_r)`
    `static void` | `fastNlMeansDenoising(Mat src, Mat dst)`
    `static void` | `fastNlMeansDenoising(Mat src, Mat dst, float h, int templateWindowSize, int searchWindowSize)`
    `static void` | `fastNlMeansDenoising(Mat src, Mat dst, MatOfFloat h)`
    `static void` | `fastNlMeansDenoising(Mat src, Mat dst, MatOfFloat h, int templateWindowSize, int searchWindowSize, int normType)`
    `static void` | `fastNlMeansDenoisingColored(Mat src, Mat dst)`
    `static void` | `fastNlMeansDenoisingColored(Mat src, Mat dst, float h, float hColor, int templateWindowSize, int searchWindowSize)`
    `static void` | `fastNlMeansDenoisingColoredMulti(java.util.List<Mat> srcImgs, Mat dst, int imgToDenoiseIndex, int temporalWindowSize)`
    `static void` | `fastNlMeansDenoisingColoredMulti(java.util.List<Mat> srcImgs, Mat dst, int imgToDenoiseIndex, int temporalWindowSize, float h, float hColor, int templateWindowSize, int searchWindowSize)`
    `static void` | `fastNlMeansDenoisingMulti(java.util.List<Mat> srcImgs, Mat dst, int imgToDenoiseIndex, int temporalWindowSize)`
    `static void` | `fastNlMeansDenoisingMulti(java.util.List<Mat> srcImgs, Mat dst, int imgToDenoiseIndex, int temporalWindowSize, float h, int templateWindowSize, int searchWindowSize)`
    `static void` | `fastNlMeansDenoisingMulti(java.util.List<Mat> srcImgs, Mat dst, int imgToDenoiseIndex, int temporalWindowSize, MatOfFloat h)`
    `static void` | `fastNlMeansDenoisingMulti(java.util.List<Mat> srcImgs, Mat dst, int imgToDenoiseIndex, int temporalWindowSize, MatOfFloat h, int templateWindowSize, int searchWindowSize, int normType)`
    `static void` | `illuminationChange(Mat src, Mat mask, Mat dst)`
    `static void` | `illuminationChange(Mat src, Mat mask, Mat dst, float alpha, float beta)`
    `static void` | `inpaint(Mat src, Mat inpaintMask, Mat dst, double inpaintRadius, int flags)`
    `static void` | `pencilSketch(Mat src, Mat dst1, Mat dst2)`
    `static void` | `pencilSketch(Mat src, Mat dst1, Mat dst2, float sigma_s, float sigma_r, float shade_factor)`
    `static void` | `seamlessClone(Mat src, Mat dst, Mat mask, Point p, Mat blend, int flags)`
    `static void` | `stylization(Mat src, Mat dst)`
    `static void` | `stylization(Mat src, Mat dst, float sigma_s, float sigma_r)`
    `static void` | `textureFlattening(Mat src, Mat mask, Mat dst)`
    `static void` | `textureFlattening(Mat src, Mat mask, Mat dst, float low_threshold, float high_threshold, int kernel_size)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INPAINT_NS

          public static final int INPAINT_NS

      See Also:
        Constant Field Values

    - #### INPAINT_TELEA

          public static final int INPAINT_TELEA

      See Also:
        Constant Field Values

    - #### NORMAL_CLONE

          public static final int NORMAL_CLONE

      See Also:
        Constant Field Values

    - #### MIXED_CLONE

          public static final int MIXED_CLONE

      See Also:
        Constant Field Values

    - #### MONOCHROME_TRANSFER

          public static final int MONOCHROME_TRANSFER

      See Also:
        Constant Field Values

    - #### RECURS_FILTER

          public static final int RECURS_FILTER

      See Also:
        Constant Field Values

    - #### NORMCONV_FILTER

          public static final int NORMCONV_FILTER

      See Also:
        Constant Field Values

    - #### LDR_SIZE

          public static final int LDR_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Photo

          public Photo()

  - ### Method Detail

    - #### createAlignMTB

          public static AlignMTB createAlignMTB(int max_bits,
                                                int exclude_range,
                                                boolean cut)

    - #### createAlignMTB

          public static AlignMTB createAlignMTB()

    - #### createCalibrateDebevec

          public static CalibrateDebevec createCalibrateDebevec(int samples,
                                                                float lambda,
                                                                boolean random)

    - #### createCalibrateDebevec

          public static CalibrateDebevec createCalibrateDebevec()

    - #### createCalibrateRobertson

          public static CalibrateRobertson createCalibrateRobertson(int max_iter,
                                                                    float threshold)

    - #### createCalibrateRobertson

          public static CalibrateRobertson createCalibrateRobertson()

    - #### createMergeDebevec

          public static MergeDebevec createMergeDebevec()

    - #### createMergeMertens

          public static MergeMertens createMergeMertens(float contrast_weight,
                                                        float saturation_weight,
                                                        float exposure_weight)

    - #### createMergeMertens

          public static MergeMertens createMergeMertens()

    - #### createMergeRobertson

          public static MergeRobertson createMergeRobertson()

    - #### createTonemap

          public static Tonemap createTonemap(float gamma)

    - #### createTonemap

          public static Tonemap createTonemap()

    - #### createTonemapDrago

          public static TonemapDrago createTonemapDrago(float gamma,
                                                        float saturation,
                                                        float bias)

    - #### createTonemapDrago

          public static TonemapDrago createTonemapDrago()

    - #### createTonemapDurand

          public static TonemapDurand createTonemapDurand(float gamma,
                                                          float contrast,
                                                          float saturation,
                                                          float sigma_space,
                                                          float sigma_color)

    - #### createTonemapDurand

          public static TonemapDurand createTonemapDurand()

    - #### createTonemapMantiuk

          public static TonemapMantiuk createTonemapMantiuk(float gamma,
                                                            float scale,
                                                            float saturation)

    - #### createTonemapMantiuk

          public static TonemapMantiuk createTonemapMantiuk()

    - #### createTonemapReinhard

          public static TonemapReinhard createTonemapReinhard(float gamma,
                                                              float intensity,
                                                              float light_adapt,
                                                              float color_adapt)

    - #### createTonemapReinhard

          public static TonemapReinhard createTonemapReinhard()

    - #### colorChange

          public static void colorChange(Mat src,
                                         Mat mask,
                                         Mat dst,
                                         float red_mul,
                                         float green_mul,
                                         float blue_mul)

    - #### colorChange

          public static void colorChange(Mat src,
                                         Mat mask,
                                         Mat dst)

    - #### decolor

          public static void decolor(Mat src,
                                     Mat grayscale,
                                     Mat color_boost)

    - #### denoise_TVL1

          public static void denoise_TVL1(java.util.List<Mat> observations,
                                          Mat result,
                                          double lambda,
                                          int niters)

    - #### denoise_TVL1

          public static void denoise_TVL1(java.util.List<Mat> observations,
                                          Mat result)

    - #### detailEnhance

          public static void detailEnhance(Mat src,
                                           Mat dst,
                                           float sigma_s,
                                           float sigma_r)

    - #### detailEnhance

          public static void detailEnhance(Mat src,
                                           Mat dst)

    - #### edgePreservingFilter

          public static void edgePreservingFilter(Mat src,
                                                  Mat dst,
                                                  int flags,
                                                  float sigma_s,
                                                  float sigma_r)

    - #### edgePreservingFilter

          public static void edgePreservingFilter(Mat src,
                                                  Mat dst)

    - #### fastNlMeansDenoising

          public static void fastNlMeansDenoising(Mat src,
                                                  Mat dst,
                                                  float h,
                                                  int templateWindowSize,
                                                  int searchWindowSize)

    - #### fastNlMeansDenoising

          public static void fastNlMeansDenoising(Mat src,
                                                  Mat dst)

    - #### fastNlMeansDenoising

          public static void fastNlMeansDenoising(Mat src,
                                                  Mat dst,
                                                  MatOfFloat h,
                                                  int templateWindowSize,
                                                  int searchWindowSize,
                                                  int normType)

    - #### fastNlMeansDenoising

          public static void fastNlMeansDenoising(Mat src,
                                                  Mat dst,
                                                  MatOfFloat h)

    - #### fastNlMeansDenoisingColored

          public static void fastNlMeansDenoisingColored(Mat src,
                                                         Mat dst,
                                                         float h,
                                                         float hColor,
                                                         int templateWindowSize,
                                                         int searchWindowSize)

    - #### fastNlMeansDenoisingColored

          public static void fastNlMeansDenoisingColored(Mat src,
                                                         Mat dst)

    - #### fastNlMeansDenoisingColoredMulti

          public static void fastNlMeansDenoisingColoredMulti(java.util.List<Mat> srcImgs,
                                                              Mat dst,
                                                              int imgToDenoiseIndex,
                                                              int temporalWindowSize,
                                                              float h,
                                                              float hColor,
                                                              int templateWindowSize,
                                                              int searchWindowSize)

    - #### fastNlMeansDenoisingColoredMulti

          public static void fastNlMeansDenoisingColoredMulti(java.util.List<Mat> srcImgs,
                                                              Mat dst,
                                                              int imgToDenoiseIndex,
                                                              int temporalWindowSize)

    - #### fastNlMeansDenoisingMulti

          public static void fastNlMeansDenoisingMulti(java.util.List<Mat> srcImgs,
                                                       Mat dst,
                                                       int imgToDenoiseIndex,
                                                       int temporalWindowSize,
                                                       float h,
                                                       int templateWindowSize,
                                                       int searchWindowSize)

    - #### fastNlMeansDenoisingMulti

          public static void fastNlMeansDenoisingMulti(java.util.List<Mat> srcImgs,
                                                       Mat dst,
                                                       int imgToDenoiseIndex,
                                                       int temporalWindowSize)

    - #### fastNlMeansDenoisingMulti

          public static void fastNlMeansDenoisingMulti(java.util.List<Mat> srcImgs,
                                                       Mat dst,
                                                       int imgToDenoiseIndex,
                                                       int temporalWindowSize,
                                                       MatOfFloat h,
                                                       int templateWindowSize,
                                                       int searchWindowSize,
                                                       int normType)

    - #### fastNlMeansDenoisingMulti

          public static void fastNlMeansDenoisingMulti(java.util.List<Mat> srcImgs,
                                                       Mat dst,
                                                       int imgToDenoiseIndex,
                                                       int temporalWindowSize,
                                                       MatOfFloat h)

    - #### illuminationChange

          public static void illuminationChange(Mat src,
                                                Mat mask,
                                                Mat dst,
                                                float alpha,
                                                float beta)

    - #### illuminationChange

          public static void illuminationChange(Mat src,
                                                Mat mask,
                                                Mat dst)

    - #### inpaint

          public static void inpaint(Mat src,
                                     Mat inpaintMask,
                                     Mat dst,
                                     double inpaintRadius,
                                     int flags)

    - #### pencilSketch

          public static void pencilSketch(Mat src,
                                          Mat dst1,
                                          Mat dst2,
                                          float sigma_s,
                                          float sigma_r,
                                          float shade_factor)

    - #### pencilSketch

          public static void pencilSketch(Mat src,
                                          Mat dst1,
                                          Mat dst2)

    - #### seamlessClone

          public static void seamlessClone(Mat src,
                                           Mat dst,
                                           Mat mask,
                                           Point p,
                                           Mat blend,
                                           int flags)

    - #### stylization

          public static void stylization(Mat src,
                                         Mat dst,
                                         float sigma_s,
                                         float sigma_r)

    - #### stylization

          public static void stylization(Mat src,
                                         Mat dst)

    - #### textureFlattening

          public static void textureFlattening(Mat src,
                                               Mat mask,
                                               Mat dst,
                                               float low_threshold,
                                               float high_threshold,
                                               int kernel_size)

    - #### textureFlattening

          public static void textureFlattening(Mat src,
                                               Mat mask,
                                               Mat dst)

Generated on Sun Apr 14 2019 09:17:52 MDT / OpenCV unknown